# Contributing to RatticDB

First off, thank you! RatticDB like any open source project lives and dies by its contributors. We really appreciate the help, from the smallest issue, to a pull request saving me a tonne of work and even security issues. If there is anything that we can do to make this process easier, let us know.

If you have any issues using GitHub to submit issues, or you have any questions please email us at [rattic@tildaslash.com](mailto:rattic@tildaslash.com). We want your submission and we are happy to help. This is a good option if you want your commit/issue to be anonymous, you need a little help, or simply have a question.

## Raising an issue

If you are raising a security issue please email [rattic@tildaslash.com](mailto:rattic@tildaslash.com) with a description of the issue. We treat security issues with ultimate importance and would rather have patches available before we release information that may lead to exploits. Please help us by reporting such issues to us privately.

We are pretty relaxed when it comes to issues. Just make your best effort to describe the issue and how to reproduce it. The important thing is to be succinct and to stick around to answer any questions we may have. Try to either replicate instructions on how to replicate the issue in either the development server, or in the Vagrant environment.

## Developing for RatticDB

If you are submitting a Pull Request with a security related fix please send a description of the issue to [rattic@tildaslash.com](mailto:rattic@tildaslash.com) and include the patches.

First setup your development environment using the [instructions in the Wiki](https://github.com/tildaslash/RatticWeb/wiki/Development). We try to keep that page as up to date as possible, but often it lapses, if you find anything wrong with it raise an issue and we will get to it ASAP.

We are as relaxed with Pull Requests as we are with Issues. You should put your changes into a topic branch on your own fork, but we are not fussed if you want us to pull from your master branch. We do require you to submit code that passes our tests and Travis-CI will test it to make sure.

# Contacting Us

There are many ways to contact the developers of RatticDB. We will do our best to respond as soon as possible, but remember we do have day jobs which don't involve RatticDB so we may take some time to respond.

If you want to talk to the developers and other users of RatticDB we have two options for you. You can either use the [Google Group Mailing List](https://groups.google.com/forum/#!forum/ratticdb) or you can chat with us using IRC in #RatticDB on Freenode. These are probably the quickest ways to get help as there are more people available to respond.

If you need to get in touch with the RatticDB developers privately you can email us at [rattic@tildaslash.com](mailto:rattic@tildaslash.com). This must be used for any security issues to give us enough time to develop a patch and respond before publically releasing the details of the exploit.

Finally you can talk to us via the [@RatticDB](http://www.twitter.com/ratticdb) Twitter account. For various reasons this is probably the most difficult way to get help but we will do our best.

